Skip to main content
GET
List tickets

Authorizations

Authorization
string
header
required

Use your account ID as the username and your personal access token (PAT) as the password, or pass a Base64-encoded value directly in the Authorization header. For more information, see the personal access tokens guide.

Query Parameters

status
enum<string>
default:open

The ticket status. Ticket status

Available options:
open,
pending,
onhold,
solved,
closed
spam
boolean
default:false

Include spam tickets

subject
string

The ticket subject.

customFields
object

Object with custom fields values, where key is custom fields apiKey.

Example:
customFieldsExist[]
string[]
teamIDs[]
string<uuid>[]

List of teams ticket is visible to

Unique object identifier

requester
object
hasAssignee
enum<string>

If set to true: an agent is assigned to the ticket.

Available options:
Y,
N,
0,
1
hasParent
enum<string>

If set to true: the ticket is merged into a parent ticket.

Available options:
Y,
N,
0,
1
hasTags
enum<string>

If set to true: the ticket has tags.

Available options:
Y,
N,
0,
1
shortID
string

The ticket short ID.

query
string

The full text search query.

parentTicketID
string<uuid>

The parent ticket ID. Unique object identifier

Example:

"42e113f9-9353-4e89-9f68-69b92f423b0c"

tagIDs[]
string<uuid>[]

The required tags.

Unique object identifier

follower

The ticket follower. Unique object identifier

Example:

"42e113f9-9353-4e89-9f68-69b92f423b0c"

rate

The ticket rating. Ticket rating

Available options:
good,
bad,
neutral
priority
enum<integer>
default:0

The ticket priority.

Available options:
-10,
0,
10,
20
priorityOp
enum<string>
default:eq

The ticket priority operator.

Available options:
eq,
gt,
lt,
gte,
lte
assignment
object

The ticket assignment.

language[]
enum<string>[]

Required languages or none if not detected

Available options:
none,
af,
als,
am,
an,
ar,
arz,
as,
ast,
av,
az,
azb,
ba,
bar,
bcl,
be,
bg,
bh,
bn,
bo,
bpy,
br,
bs,
bxr,
ca,
cbk,
ce,
ceb,
ckb,
co,
cs,
cv,
cy,
da,
de,
diq,
dsb,
dty,
dv,
el,
eml,
en,
eo,
es,
et,
eu,
fa,
fi,
fr,
frr,
fy,
ga,
gd,
gl,
gn,
gom,
gu,
gv,
he,
hi,
hif,
hr,
hsb,
ht,
hu,
hy,
ia,
id,
ie,
ilo,
io,
is,
it,
ja,
jbo,
jv,
ka,
kk,
km,
kn,
ko,
krc,
ku,
kv,
kw,
ky,
la,
lb,
lez,
li,
lmo,
lo,
lrc,
lt,
lv,
mai,
mg,
mhr,
min,
mk,
ml,
mn,
mr,
mrj,
ms,
mt,
mwl,
my,
myv,
mzn,
nah,
nap,
nds,
ne,
new,
nl,
nn,
no,
oc,
or,
os,
pa,
pam,
pfl,
pl,
pms,
pnb,
ps,
pt,
qu,
rm,
ro,
ru,
rue,
sa,
sah,
sc,
scn,
sco,
sd,
sh,
si,
sk,
sl,
so,
sq,
sr,
su,
sv,
sw,
ta,
te,
tg,
th,
tk,
tl,
tr,
tt,
tyv,
ug,
uk,
ur,
uz,
vec,
vep,
vi,
vls,
vo,
wa,
war,
wuu,
xal,
xmf,
yi,
yo,
yue,
zh
timezone
string
default:UTC

Timezone

silo
enum<string>
default:tickets

Ticket silo (folder). Please check ticket silos section for more information

Available options:
tickets,
archive,
trash,
spam
createdDateFrom
createdDateTo
updatedDateFrom
updatedDateTo
ratingDateFrom
ratingDateTo
solvedDateFrom
solvedDateTo
closedDateFrom
closedDateTo
lastMessageFrom
lastMessageTo
pageSize
integer
default:20
Required range: x <= 100
order
enum<string>
default:desc
Available options:
asc,
desc
sortBy
enum<string>
default:createdAt
Available options:
createdAt,
updatedAt,
lastMessageAt
next
object

Next page cursor, see cursor pagination

prev
object

Previous page cursor, see cursor pagination

Response

200 - application/json

Successful response.

ID
string<uuid>

Unique object identifier.

licenseID
integer

Unique account identifier.

createdAt
string<date-time>

The time of creation.

createdBy
string<uuid>

The creator identifier.

createdByType
enum<string>

The creator type.

Available options:
agent,
client,
system
updatedAt
string<date-time>

The time of last modification.

updatedBy
string<uuid>

The modification author identifier.

shortID
string

The short ticket ID.

lastMessageAt
string<date-time>

The time of last public message.

parentTicket
object | null

The parent ticket reference.

childTickets
object[]

The merged ticket reference.

status
enum<string>
default:open

Ticket status

Available options:
open,
pending,
onhold,
solved,
closed
priority
enum<integer>
default:0
Available options:
-10,
0,
10,
20
subject
string
teamIDs
string<uuid>[]

The teams that can access the ticket.

Unique object identifier

requester
object

Ticket requester

cc
object[]

A list of people in the loop.

tagIDs
string<uuid>[]

A list of ticket tags.

Unique object identifier

followers
string<uuid>[]

A list of ticket followers (agents).

Unique object identifier

assignment
object

Team / agent assignment

integration
object
customFields
object

Object with custom fields values, where key is custom fields apiKey.

Example:
ratingRequeestSent
boolean
default:false

Has rating request been sent.

rating
object | null

Ticket rating

silo
enum<string>
default:tickets

Ticket silo (folder). Please check ticket silos section for more information

Available options:
tickets,
archive,
trash,
spam
spam
object
source
object
events
object[]

The ticket events.

integrations
object
detectedLanguage
string

The detected language code.